<!DOCTYPE html>
<head>
	<title>Canvas BABYYY</title>
</head>
<body style="margin:0;">
	<div style="display:flex;">
		<div style="flex:50%;display:flex;align-items: center;justify-content: center;flex-direction: column;">
			<div style="border-radius: 20px;border:1px solid black;overflow: hidden;">
				<div style="background:white;width:100%;font-family: sans-serif;padding: 10px;font-size: 13px;"">const canvas = document.getElementById('canvas')</div>
				<canvas style="margin:20px;border:1px solid black;" id="canvas"></canvas>
			</div>
			<div style="background:#7dff59;border-radius:20px;border:1px solid black;overflow:hidden;width:35%;margin-top:20px;display:flex;flex-direction: column;">
				<div style="background:white;font-family: sans-serif;padding: 10px;font-size: 11px;display:flex;">const img = document.getElementById('img')</div>
				<img id="img" src="corn-image.jpeg" style="width:100%;">
			</div>
		</div>
		<div style="flex:50%;position:relative;margin:20px;height:calc(100vh - 40px);">
			<textarea id="code" style="height:calc(100% - 40px);width:calc(100% - 40px);resize:none;overflow: scroll;border-radius: 15px;padding:20px;font-size: 20px;" spellcheck="false"></textarea>
			<div style="position:absolute;top:20px;right:20px;">
				<button onclick="runCode()" style="border-radius:15px;padding:10px;">Run</button>
				<button id="fillNextCode" onclick="fillNextCode()" style="border-radius:15px;padding:10px;">Autofill Next Code</button>
			</div>
		</div>
	</div>
</body>
<script src="script.js"></script>
</html>